#!/bin/bash

JAVA_HOME="/usr/lib/jvm/java-6-openjdk";
NEWSROOT="/home/fiki/src/sonews-nntp/sonews-11-dev";

cd `dirname $0`/..
NEWSROOT=`pwd`
CLASSPATH=$NEWSROOT/build/sonews.jar:\
$NEWSROOT/lib/commons-codec-1.5.jar:\
$NEWSROOT/lib/mysql-connector-java.jar:\
$NEWSROOT/lib/javax.mail.jar:\
$NEWSROOT/lib/saxon.jar:\
$NEWSROOT/lib/postgresql-8.3-604.jdbc4.jar:\
$NEWSROOT/lib/mysql-connector-java-5.1.7-bin.jar

JAVA_OPTIONS="-Djavax.xml.transform.TransformerFactory=net.sf.saxon.TransformerFactoryImpl";

LOGFILE=var/log/sonews.log
PIDFILE=var/pid/sonews.pid
ARGS=$@


MAINCLASS=org.sonews.Main
JAVA=$JAVA_HOME/bin/java

case "$1" in
  start)
    echo "Starting sonews Newsserver..."
    $JAVA $JAVA_OPTIONS -classpath $CLASSPATH $MAINCLASS $ARGS &> $LOGFILE &
    echo $! > $PIDFILE
    ;;
  stop)
    echo "Stopping sonews Newsserver..."
    PID=`cat $PIDFILE`
    kill -15 $PID
    ;;
  setup)
    $JAVA -classpath $CLASSPATH org.sonews.util.DatabaseSetup
    ;;
  purge)
    $JAVA -classpath $CLASSPATH org.sonews.util.Purger
    ;;

  *)
    echo "Usage: sonews [start|stop|setup|purge]"
esac
